import { Component, OnInit } from '@angular/core';
import { BsModalService } from 'ngx-bootstrap/modal';
import { FramePageComponent } from '../../../../frame/core/page/frame.page';

@Component({
  selector: 'app-std-material-review-page',
  templateUrl: './std-material-review-page.component.html',
  styleUrls: ['./std-material-review-page.component.scss']
})
export class StdMaterialReviewPageComponent extends FramePageComponent implements OnInit {

  verify_flag : any;
  verifyArr = [
    {value : '', text : '请选择'},
    {value : 'Active', text : '已审核'},
    {value : 'InActive', text : '未审核'}
  ];

  constructor(private modalService: BsModalService) {
    super(modalService);
   }

  ngOnInit(): void {
  }

  requestVideoStd() {
    this.pager.reload({verify_flag: this.verify_flag});
  }

}
